dbus-1.4.1: A client library for the D-Bus IPC system.

Safe Haskell | None
Language | Haskell2010

DBus.Introspection.Types

# Documentation

data Object Source #

Constructors

Object |

Fields

- objectPath :: ObjectPath
- objectInterfaces :: [Interface]
- objectChildren :: [Object]

#### Instances

Instances details

Show Object Source # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> Object -> ShowS Source # show :: Object -> String Source # showList :: [Object] -> ShowS Source #
Eq Object Source # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: Object -> Object -> Bool Source # (/=) :: Object -> Object -> Bool Source #

data Interface Source #

Constructors

Interface |

Fields

- interfaceName :: InterfaceName
- interfaceMethods :: [Method]
- interfaceSignals :: [Signal]
- interfaceProperties :: [Property]

#### Instances

Instances details

Show Interface Source # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> Interface -> ShowS Source # show :: Interface -> String Source # showList :: [Interface] -> ShowS Source #
Eq Interface Source # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: Interface -> Interface -> Bool Source # (/=) :: Interface -> Interface -> Bool Source #

data Method Source #

Constructors

Method |

Fields

- methodName :: MemberName
- methodArgs :: [MethodArg]

#### Instances

Instances details

Show Method Source # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> Method -> ShowS Source # show :: Method -> String Source # showList :: [Method] -> ShowS Source #
Eq Method Source # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: Method -> Method -> Bool Source # (/=) :: Method -> Method -> Bool Source #

data MethodArg Source #

Constructors

MethodArg |

Fields

- methodArgName :: String
- methodArgType :: Type
- methodArgDirection :: Direction

#### Instances

Instances details

Show MethodArg Source # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> MethodArg -> ShowS Source # show :: MethodArg -> String Source # showList :: [MethodArg] -> ShowS Source #
Eq MethodArg Source # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: MethodArg -> MethodArg -> Bool Source # (/=) :: MethodArg -> MethodArg -> Bool Source #

data Direction Source #

Constructors

In |
Out |

#### Instances

Instances details

Show Direction Source # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> Direction -> ShowS Source # show :: Direction -> String Source # showList :: [Direction] -> ShowS Source #
Eq Direction Source # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: Direction -> Direction -> Bool Source # (/=) :: Direction -> Direction -> Bool Source #

data Signal Source #

Constructors

Signal |

Fields

- signalName :: MemberName
- signalArgs :: [SignalArg]

#### Instances

Instances details

Show Signal Source # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> Signal -> ShowS Source # show :: Signal -> String Source # showList :: [Signal] -> ShowS Source #
Eq Signal Source # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: Signal -> Signal -> Bool Source # (/=) :: Signal -> Signal -> Bool Source #

data SignalArg Source #

Constructors

SignalArg |

Fields

- signalArgName :: String
- signalArgType :: Type

#### Instances

Instances details

Show SignalArg Source # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> SignalArg -> ShowS Source # show :: SignalArg -> String Source # showList :: [SignalArg] -> ShowS Source #
Eq SignalArg Source # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: SignalArg -> SignalArg -> Bool Source # (/=) :: SignalArg -> SignalArg -> Bool Source #

data Property Source #

Constructors

Property |

Fields

- propertyName :: String
- propertyType :: Type
- propertyRead :: Bool
- propertyWrite :: Bool

#### Instances

Instances details

Show Property Source # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> Property -> ShowS Source # show :: Property -> String Source # showList :: [Property] -> ShowS Source #
Eq Property Source # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: Property -> Property -> Bool Source # (/=) :: Property -> Property -> Bool Source #